Error after major SPADS version update

Error after major SPADS version update

SpringRTS Perl Autohost for Dedicated Server

Moderators: Moderators, Lobby Developers, SPADS AutoHost

Post Reply
Shokwing
Posts: 21
Joined: 30 Jun 2008, 18:11

Error after major SPADS version update

Post by Shokwing » 04 Sep 2009, 13:41

did the update correct, tried to start and it gives me this: :?

C:\spadsInstaller>perl spads.pl C:\spadsInstaller\etc\spads.conf
ERROR - [SPADS] [SimpleLog] No log file configured, redirecting to standard o
utput
ERROR - [SPADS] Incomplete SPADS configuration (missing global parameters: mi
nLevelForIpAddr,kickBanDuration,userDataRetention)
ERROR - [SPADS] Unable to load main configuration parameters
CRITICAL - [SPADS] Unable to load SPADS configuration at startup
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: SPADS AutoHost beta release

Post by bibim » 04 Sep 2009, 16:02

Some SPADS updates require manual modifications in configuration files. When this happens, SPADS does NOT auto-update because it wouldn't be able to restart without these modifications. Instead, it logs an alert and continues running normally.

It seems you launched the manual update but you didn't perform the manual modifications in the configuration files for the new SPADS version.

How did you update SPADS ? Which command did you run and where did you find it ? Normally SPADS should have provided you with the link to the update help in the same place where it warned you about the manual update availability (var/log/spads.log).

Maybe you followed the procedure described here to update SPADS, whereas this procedure was just a specific procedure to upgrade from Spring 0.79.* to 0.80.* ? In this case, it just forced the manual update and you can follow the last section of the update help to fix your config files.
0 x

Shokwing
Posts: 21
Joined: 30 Jun 2008, 18:11

Re: SPADS AutoHost beta release

Post by Shokwing » 04 Sep 2009, 23:47

yeah i updated like this..

i just did a reinstall and everything works again :)

since i do not have anything configured in spads it is easier to just reinstall instead of trying to figure out what went wrong with the update xD
bibim wrote:
- shutdown SPADS
- delete the unitsync.dll and updateInfo.txt files from your SPADS installation directory
- update your updater: (replace <release> by your actual realease: stable/testing/unstable/contrib)

Code: Select all

perl update.pl <release> update.pl
- update your SPADS packages:

Code: Select all

perl update.pl <release> -A
Then you should be able to launch SPADS normally.
0 x

User avatar
TradeMark
Posts: 4867
Joined: 17 Feb 2006, 15:58

Re: SPADS AutoHost beta release

Post by TradeMark » 05 Sep 2009, 02:20

reinstall to new folder 3 times, that worked for me
0 x

Post Reply

Return to “SPADS AutoHost”

cron